Skip to main content

Get Voting Link | Climes API


This endpoint gets the voting link for the specified order.

Request Parameters​

Endpoint​

/v3/integrations/vote/link?partnerOrderId=PARTNER_ORDER_ID
tip

Replace PARTNER_ORDER_ID with the partner_order_id that you sent while placing an order.

Method​

GET

Headers​

{
'x-api-key' : 'API_KEY'
}

Response Parameters​

Response Schema​

NameDescriptionType
linkThis link is the link for the Map based selection of projects available on Climes Platform. Your user can vote using this link.string

Status Code​

200

Response Data​

{
"link": "https://climes.io/app/brands/YOUR_SLUG?action=vote&orderId=PARTNER_ORDER_ID"
}
tip

YOUR_SLUG and PARTNER_ORDER_ID will be auto populated and pre filled into the link before sending.

Sample Request​

curl --location --request GET 'BASE_URL/v3/integrations/vote/link?partnerOrderId=876287372837786837'  
--header 'x-api-key: API_KEY'

Sample Response​

Below are sample responses for the above sample request.

Responses

{
"link": "https://climes.io/app/brands/brand-slug?action=vote&orderId=876287372837786837"
}